import java.io.PrintStream;

public class Caractere {
  public static void main(String[] args) {
    PrintStream saida = System.out;
    
    saida.println("\nCdigos de caracteres:");
    saida.println("A =\t" + Character.getNumericValue('A'));
    saida.println("B =\t" + Character.getNumericValue('B'));
    saida.println("C =\t" + Character.getNumericValue('C'));
    
    saida.println("\nTestes diversos:\n");
    
    saida.print("\"5\"  um digito?\t\t");
    saida.println(Character.isDigit('5'));
    saida.print("\"5\"  uma letra?\t\t");
    saida.println(Character.isLetter('5'));
    saida.print("\"5\"  um digito ou letra?\t");
    saida.println(Character.isLetterOrDigit('5'));
    saida.print("\"-\"  um espao em branco?\t");
    saida.println(Character.isWhitespace('-'));
    
    saida.print("\"A\"  uma letra minscula?\t");
    saida.println(Character.isLowerCase('A'));
    saida.print("\"A\"  uma letra maiscula?\t");
    saida.println(Character.isUpperCase('A'));
    
    saida.print("\nConverso de \"A\" para minsculo:\t");
    saida.println(Character.toLowerCase('A'));
    saida.print("Converso de \"b\" para maisculo:\t");
    saida.println(Character.toUpperCase('b'));
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/