import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.URL;

public class FluxoBytes {
  public void executarOperacao() throws IOException {
    URL url_input = getClass().getResource("Edipo.txt");
    if (url_input == null) {
      System.out.println("Arquivo no encontrado!");
      return;
    }
    String input = url_input.getPath();
    
    FileInputStream fis = null;
    FileOutputStream fos = null;
    
    try {
      fis = new FileInputStream( input );
      fos = new FileOutputStream(input.replace("Edipo", "Copia"));
      
      int bt;
      while ( (bt = fis.read()) != -1) {
        fos.write(bt);
      }
    } catch (IOException ioe) {
      System.out.println("Erro durante leitura/escrita!");
    } finally {
      if (fis != null) fis.close();
      if (fos != null) fos.close();
    }
  }
  
  public static void main(String[] args) throws IOException {
    new FluxoBytes().executarOperacao();
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/